Page MenuHomePhabricator

"Account is hidden from public lists" is misleading
Closed, ResolvedPublic

Description

There are three visibility options in Special:CentralAuth to set to user accounts: visible, hidden and oversighted. The second one (hidden) has the following description: "Account is hidden from public lists". This is not true.

What 'hidden' actually does to the best of my experience and understanding is to simply hide the account from Special:GlobalUsers. That's hardly hidding an account name from public lists since the account will still display on logs and edit histories.

The only option that totally removes an account from public lists is the 'oversighted' one.

The messages centralauth-admin-status-hidden-list, centralauth-admin-action-hide-lists and centralauth-admin-hidden-list need to be reworded as long as its functionality remains just what it is now: remove the account from Special:GlobalUsers (and prevent displaying CentralAuth data to users w/o centralauth-lock permissions).

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2018, 8:38 PM
MarcoAurelio triaged this task as Low priority.
MarcoAurelio updated the task description. (Show Details)
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptApr 24 2018, 8:42 PM
MarcoAurelio moved this task from Backlog to Doing on the good first bug board.

Change 430320 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/CentralAuth@master] Reword some messages to provide more accurate scope

https://gerrit.wikimedia.org/r/430320

Are the messages edited on any wikis?

Stryn added a subscriber: Stryn.May 4 2018, 6:14 PM

I think no, because stewards can lock only on Meta-Wiki.

Change 430320 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Reword some messages to provide more accurate scope

https://gerrit.wikimedia.org/r/430320

MarcoAurelio closed this task as Resolved.May 7 2018, 3:56 PM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.
Vvjjkkii renamed this task from "Account is hidden from public lists" is misleading to ebeaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Mainframe98 renamed this task from ebeaaaaaaa to "Account is hidden from public lists" is misleading.Jul 1 2018, 7:53 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to MarcoAurelio.
Mainframe98 lowered the priority of this task from High to Low.
Mainframe98 updated the task description. (Show Details)